Make the 2 "applications" (user and admin) use the same auth backend
Status: Closed Start date: 14/12/2017

Priority: Normal Due date:  

Assignee: Philippe May % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.23 hour

Description

facing the issue of not being able to login frequently into GISAF. Sometimes i can but there is no pattern.

Associated revisions

Revision 259999f8 - 19/12/2017 06:19 - Philippe May

Fixes #4944: Make the 2 "applications" (user and admin) use the same auth backend; don't open tab for admin; remove login/logut buttons in admin;

add button in admin to go to main GUI

History

#1 - 15/12/2017 09:46 - Pavneet Kaur

Issue resolved, Please close the ticket. Thanks!

#2 - 15/12/2017 15:04 - Philippe May

I never experienced issues logging in.

#3 - 15/12/2017 17:29 - Philippe May

- Status changed from New to Feedback

#4 - 16/12/2017 09:43 - Pavneet Kaur

The issue persists if i login from the dashboard. Tried login in the basket, worked this time. :-)

Resolved!

#5 - 16/12/2017 11:43 - Philippe May

I think i understand what's happening now.

The 2 "sides" of the software (1/ the user interface, with the map and graphs, and 2/ the admin pages) have different authentication mechanisms.

It's in my pipeline to have the 2 parts working together (i'll create a ticket, there are technical issues to be solved depending on an external library...

patience).

I'm sorry if it's a bit confusing. As of today, just remember to log in on the "admin" side, until i can sort this out.

#6 - 16/12/2017 14:02 - Pavneet Kaur

Ok, i didn't realize it earlier because i used to use sometimes the user interface and sometimes admin part. no issues. Can close it for now.thanks!

#7 - 18/12/2017 18:26 - Philippe May

- Subject changed from GISAF login Problem to Make the 2 "applications" (user and admin) use the same auth backend

- Tracker changed from Bug to Feature
- Status changed from Feedback to New

The Angular application should use jwt (angular2-jwt)

#8 - 18/12/2017 18:26 - Philippe May

- Priority changed from High to Normal

#9 - 19/12/2017 06:19 - Philippe May

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|259999f8b855067f25d0a138896d84b190c966eb.

#10 - 19/12/2017 10:54 - Pavneet Kaur

Philippe May wrote:

The Angular application should use jwt (angular2-jwt)

 

What does this mean?

#11 - 19/12/2017 11:53 - Philippe May

It's a tech note 
sunglasses.png 

You van ignore these

#12 - 19/12/2017 12:00 - Pavneet Kaur

Royally ignored 
princess.png 

#13 - 20/12/2017 21:15 - Philippe May

- Status changed from Resolved to Closed
